.\"	$OpenBSD: ldpd.8,v 1.9 2013/06/04 02:30:35 ian Exp $
.\"
.\" Copyright (c) 2009 Michele Marchetto <michele@openbsd.org>
.\" Copyright (c) 2004, 2005, 2006 Esben Norby <norby@openbsd.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd $Mdocdate: June 4 2013 $
.Dt LDPD 8
.Os
.Sh NAME
.Nm ldpd
.Nd "Label Distribution Protocol daemon"
.Sh SYNOPSIS
.Nm
.Op Fl dnv
.Op Fl D Ar macro Ns = Ns Ar value
.Op Fl f Ar file
.Sh DESCRIPTION
.Nm
is the Label Distribution Protocol
.Pq LDP
daemon which distributes MPLS label mappings between routers.
.Pp
A running
.Nm
can be controlled with the
.Xr ldpctl 8
utility.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl D Ar macro Ns = Ns Ar value
Define
.Ar macro
to be set to
.Ar value
on the command line.
Overrides the definition of
.Ar macro
in the configuration file.
.It Fl d
Do not daemonize.
If this option is specified,
.Nm
will run in the foreground and log to
.Em stderr .
.It Fl f Ar file
Specify an alternative configuration file.
.It Fl n
Configtest mode.
Only check the configuration file for validity.
.It Fl v
Produce more verbose output.
.El
.Sh FILES
.Bl -tag -width "/var/run/ldpd.sockXX" -compact
.It /etc/ldpd.conf
Default
.Nm
configuration file.
.It /var/run/ldpd.sock
.Ux Ns -domain
socket used for communication with
.Xr ldpctl 8 .
.El
.Sh SEE ALSO
.Xr mpe 4 ,
.Xr ldpd.conf 5 ,
.Xr ldpctl 8 ,
.Xr rc.conf 8
.Sh STANDARDS
.Rs
.%A E. Rosen
.%A A. Viswanathan
.%A R. Callon
.%D January 2001
.%R RFC 3031
.%T Multiprotocol Label Switching Architecture
.Re
.Pp
.Rs
.%A L. Andersson
.%A I. Minei
.%A B. Thomas
.%D October 2007
.%R RFC 5036
.%T LDP Specification
.Re
.Sh HISTORY
The
.Nm
program first appeared in
.Ox 4.6 .
